Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Typed_SV_Message< T > Class Template Reference

Defines the header file for the C++ wrapper for System V message queues. More...

`#include <Typed_SV_Message.h>`

Collaboration diagram for ACE_Typed_SV_Message< T >:

[legend]
List of all members.

## Public Methods
| ACE_Typed_SV_Message (long type=0, int length=sizeof(T), int max_size=sizeof(T))
| ACE_Typed_SV_Message (const T &data, long type=0, int length=sizeof(T), int max_size=sizeof(T))
| ~ACE_Typed_SV_Message (void)
long | type (void) const
| Get the type of the message.
void | type (long type)
| Set the type of the message.
int | length (void) const
| Get the length of the message.
void | length (int l)
| Set the length of the message.
int | max_size (void) const
| Get the maximum size of the message.
void | max_size (int m)
| Set the maximum size of the message.
T & | data (void)
| Get a pointer to the data in the message.
void | data (const T &data)
| Set a pointer to the data in the message.
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
## Private Attributes
long | type_
| Type of message.
int | length_
| Length of this message.
int | max_
| Maximum length of any message.
T | data_
| Data stored in a message.

## Detailed Description

### template<class T>
class ACE_Typed_SV_Message< T >

Defines the header file for the C++ wrapper for System V message queues.

## Constructor & Destructor Documentation

template<class T>
ACE_INLINE ACE_Typed_SV_Message< T >::ACE_Typed_SV_Message | ( | long | type = 0,
|  | int | length = sizeof(T),
|  | int | max_size = sizeof(T)
| ) |

template<class T>
ACE_INLINE ACE_Typed_SV_Message< T >::ACE_Typed_SV_Message | ( | const T & | data,
|  | long | type = 0,
|  | int | length = sizeof(T),
|  | int | max_size = sizeof(T)
| ) |

template<class T>
ACE_INLINE ACE_Typed_SV_Message< T >::~ACE_Typed_SV_Message | ( | void |  | ) |

## Member Function Documentation

template<class T>
void ACE_Typed_SV_Message< T >::data | ( | const T & | data | ) |

| Set a pointer to the data in the message.

template<class T>
T & ACE_Typed_SV_Message< T >::data | ( | void |  | ) |

| Get a pointer to the data in the message.

template<class T>
void ACE_Typed_SV_Message< T >::dump | ( | void |  | ) | const

| Dump the state of an object.

template<class T>
ACE_INLINE void ACE_Typed_SV_Message< T >::length | ( | int | l | ) |

| Set the length of the message.

template<class T>
ACE_INLINE int ACE_Typed_SV_Message< T >::length | ( | void |  | ) | const

| Get the length of the message.

template<class T>
ACE_INLINE void ACE_Typed_SV_Message< T >::max_size | ( | int | m | ) |

| Set the maximum size of the message.

template<class T>
ACE_INLINE int ACE_Typed_SV_Message< T >::max_size | ( | void |  | ) | const

| Get the maximum size of the message.

template<class T>
ACE_INLINE void ACE_Typed_SV_Message< T >::type | ( | long | type | ) |

| Set the type of the message.

template<class T>
ACE_INLINE long ACE_Typed_SV_Message< T >::type | ( | void |  | ) | const

| Get the type of the message.

## Member Data Documentation

template<class T>
ACE_Typed_SV_Message< T >::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks.

template<class T>
T ACE_Typed_SV_Message< T >::data_`[private]`

| Data stored in a message.

template<class T>
int ACE_Typed_SV_Message< T >::length_`[private]`

| Length of this message.

template<class T>
int ACE_Typed_SV_Message< T >::max_`[private]`

| Maximum length of any message.

template<class T>
long ACE_Typed_SV_Message< T >::type_`[private]`

| Type of message.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Typed_SV_Message.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Typed_SV_Message.cpp
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Typed_SV_Message.i